Description

We all have to think of the issue.

Egor proposes an XML-like setup file which would encompass all posible so far detector+readout configurations in our lab.

This file should be used for data acquisition, calibration and ..... ?

The first question is how flexible should be mapping between the readout channel (i.e. block Id+channel ID) and outputs of the
detectors. We can foresee three situations 1) A number of consequitive electronics channels from the same block correspond to the
same number of the detector channels 2) Each detector occupies consequently 2-3 or more electronics channels with different
meaning but the same nature of the signal e.g. Stilbene: Amp1, TAC1, Amp2, TAC2, Amp3, TACS.....3)arbitrary mapping channel

by channel.

The second question is how to incorporate into data nad then use info about initializationj of the blocks, like how many bits are there
in the output message, Which amplitude range iand sift of the baseline are set etc.

The third question is about the output data strucure. For interactive analysis in the root session it is more convenient to have only
those brunches which correspond to actually read-out channels.

At this point, Egor. please edit the task description in order to fit it to your understanding.

History

#1 - 04/24/2018 04:12 PM - Vratislav Chudoba
- Description updated

- Category set to Software

#2 - 04/24/2018 04:12 PM - Vratislav Chudoba

- Assignee changed from Vratislav Chudoba to Egor Ovcharenko

#3 - 05/11/2018 06:03 PM - Sergey Belogurov

It's a test of the redmine notification service.

04/02/2025 1/1



http://www.tcpdf.org

